Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jmadem
Class DecisionData

    java.lang.Object
      jmadem.DecisionData

    public class DecisionData

extends java.lang.Object

Data structure holding all the information related to a specific decision problem.

Author:
  Francisco Grimaldo

Field Summary
`private java.util.Vector<jason.asSyntax.Atom>` | `agents` Agents involved in the decision-making.
`private java.util.Vector<Allocation>` | `allocations` Allocations being considered as solutions for the decision problem.
`private int` | `id` Decision id
`private static int` | `id_generator` Decision id generator
`private java.util.concurrent.ConcurrentMap<jason.asSyntax.Atom,java.lang.Float>` | `personalWeights` Personal weights representing the internal attitude of the agent towards other individuals.
`private java.util.Vector<jason.asSyntax.Atom>` | `utilityFunctions` Names of the utility functions being considered.
`private java.util.concurrent.ConcurrentMap<jason.asSyntax.Atom,java.util.Vector<java.lang.Float>>` | `utilityValues` Utility values received from the agents involved in the decision.
`private java.util.concurrent.ConcurrentMap<jason.asSyntax.Atom,java.lang.Float>` | `utilityWeights` Utility weights representing the importance given to each point of view in the multi-modal agent decision making.
`private Cuf` | `welfare` Social welfare considered by the agent

Constructor Summary
`DecisionData(java.util.Vector<jason.asSyntax.Atom> ags, java.util.Vector<Allocation> allocs, java.util.Vector<jason.asSyntax.Atom> uFuncs, java.util.concurrent.ConcurrentMap<jason.asSyntax.Atom,java.lang.Float> pW, java.util.concurrent.ConcurrentMap<jason.asSyntax.Atom,java.lang.Float> uW, Cuf sw)` DecisionData constructor.

Method Summary
`void` | `addBid(java.lang.String bidder, java.util.List<jason.asSyntax.Term> uValues)` Adds a bid to the MADeM decision data.
`boolean` | `areAllBidsReceived()` Checks whether all agents have already bid and their bids have been received.
`java.util.Vector<jason.asSyntax.Atom>` | `getAgents()` Returns the name of the agents involved in the decision.
`java.util.Vector<Allocation>` | `getAllocations()` Returns the allocations considered as solutions for the decision problem.
`int` | `getId()` Returns the identifier of the decision making.
`java.util.concurrent.ConcurrentMap<jason.asSyntax.Atom,java.lang.Float>` | `getPersonalWeights()` Returns the personal weights for the agents involved in the decision.
`java.util.Vector<jason.asSyntax.Atom>` | `getUtilityFunctions()` Returns the name of the utility functions used to express preference.
`java.util.concurrent.ConcurrentMap<jason.asSyntax.Atom,java.util.Vector<java.lang.Float>>` | `getUtilityValues()` Returns the utility values received from the agents involved in the decision.
`java.util.concurrent.ConcurrentMap<jason.asSyntax.Atom,java.lang.Float>` | `getUtilityWeights()` Returns the utility weights for the utility functions being used.
`Cuf` | `getWelfare()` Returns the social welfare applied to solve the decision problem.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id_generator

    private static int id_generator

  Decision id generator

### id

    private int id

  Decision id

### agents

    private java.util.Vector<jason.asSyntax.Atom> agents

  Agents involved in the decision-making.

### allocations

    private java.util.Vector<Allocation> allocations

  Allocations being considered as solutions for the decision problem.

### utilityFunctions

    private java.util.Vector<jason.asSyntax.Atom> utilityFunctions

  Names of the utility functions being considered.

### utilityWeights

    private java.util.concurrent.ConcurrentMap<jason.asSyntax.Atom,java.lang.Float> utilityWeights

  Utility weights representing the importance given to each point of view in the multi-modal agent decision making.

### personalWeights

    private java.util.concurrent.ConcurrentMap<jason.asSyntax.Atom,java.lang.Float> personalWeights

  Personal weights representing the internal attitude of the agent towards other individuals.

### welfare

    private Cuf welfare

  Social welfare considered by the agent

### utilityValues

    private java.util.concurrent.ConcurrentMap<jason.asSyntax.Atom,java.util.Vector<java.lang.Float>> utilityValues

  Utility values received from the agents involved in the decision.

Constructor Detail

### DecisionData

    DecisionData(java.util.Vector<jason.asSyntax.Atom> ags,
                 java.util.Vector<Allocation> allocs,
                 java.util.Vector<jason.asSyntax.Atom> uFuncs,
                 java.util.concurrent.ConcurrentMap<jason.asSyntax.Atom,java.lang.Float> pW,
                 java.util.concurrent.ConcurrentMap<jason.asSyntax.Atom,java.lang.Float> uW,
                 Cuf sw)

  DecisionData constructor.

  Parameters:
    `ags` - names of the agents involved in the decision
    `allocs` - allocations being considered as solutions for the decision problem
    `uFuncs` - names of the different utility functions to pay attention to
    `pW` - personal weights to be applied over external preferences
    `uW` - utility weights in the multi-modal decision
    `sw` - type of social welfare being considered

Method Detail

### getId

    public int getId()

  Returns the identifier of the decision making.

  Returns:
    decision id for the decision making

### addBid

    public void addBid(java.lang.String bidder,
                       java.util.List<jason.asSyntax.Term> uValues)

  Adds a bid to the MADeM decision data.

  Parameters:
    `bidder` - name of the bidder agent
    `uValues` - utility values obtained by the set utility functions being considered for the different allocations

### areAllBidsReceived

    public boolean areAllBidsReceived()

  Checks whether all agents have already bid and their bids have been received.

  Returns:
    `true` if all bids have been received, `false` otherwise

### getAgents

    public java.util.Vector<jason.asSyntax.Atom> getAgents()

  Returns the name of the agents involved in the decision.

  Returns:
    the name of the agents into a `Vector`

### getPersonalWeights

    public java.util.concurrent.ConcurrentMap<jason.asSyntax.Atom,java.lang.Float> getPersonalWeights()

  Returns the personal weights for the agents involved in the decision.

  Returns:
    the personal weights into a `ConcurrentHashMap`, where the keys of the map are the names of the agents

### getAllocations

    public java.util.Vector<Allocation> getAllocations()

  Returns the allocations considered as solutions for the decision problem.

  Returns:
    the allocations into a `Vector`

### getUtilityFunctions

    public java.util.Vector<jason.asSyntax.Atom> getUtilityFunctions()

  Returns the name of the utility functions used to express preference.

  Returns:
    the name of the utility functions into a `Vector`

### getUtilityWeights

    public java.util.concurrent.ConcurrentMap<jason.asSyntax.Atom,java.lang.Float> getUtilityWeights()

  Returns the utility weights for the utility functions being used.

  Returns:
    the utility weights into a `ConcurrentHashMap`, where the keys of the map are the names of the utility functions

### getWelfare

    public Cuf getWelfare()

  Returns the social welfare applied to solve the decision problem.

  Returns:
    the social welfare for the decision

### getUtilityValues

    public java.util.concurrent.ConcurrentMap<jason.asSyntax.Atom,java.util.Vector<java.lang.Float>> getUtilityValues()

  Returns the utility values received from the agents involved in the decision.

  Returns:
    the utility values into a `ConcurrentHashMap`, where the keys of the map are the names of the bidders

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD